Package wx :: Class SplashScreenWindow

[frames | no frames]

## Type SplashScreenWindow

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                        SplashScreenWindow

Proxy of C++ SplashScreenWindow class

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
Bitmap | `GetBitmap(self)`
| `SetBitmap(self, bitmap)`

Property Summary
| `Bitmap`: See `GetBitmap` and `SetBitmap`
| `thisown`: The membership flag

Instance Method Details

### __init__(self, bitmap, parent, id, pos=DefaultPosition, size=DefaultSize, style=NO_BORDER)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.Window.__init__` (inherited documentation)

Property Details

### Bitmap

See `GetBitmap` and `SetBitmap`

  Get Method:
    `GetBitmap`(self)
  Set Method:
    `SetBitmap`(self, bitmap)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:35 2007 | http://epydoc.sf.net